#!/bin/sh

if [ ! -f $JOTM_HOME/lib/jotm.jar ]
then
    if [ -f ../lib/jotm.jar ]
    then
        JOTM_HOME=`pwd`/..
    else
        echo "JOTM_HOME must be set"
        exit 1
    fi
fi

JOTM_DIST_LIB=$JOTM_HOME/lib
JOTM_DIST_CONFIG=$JOTM_HOME/config
JOTM_JAR=$JOTM_DIST_LIB/jotm.jar
JOTM_STUBS=$JOTM_DIST_LIB/jotm_jrmp_stubs.jar:$JOTM_DIST_LIB/jotm_iiop_stubs.jar

JOTM_CLASSPATH=$JOTM_DIST_CONFIG/
JOTM_CLASSPATH=$JOTM_CLASSPATH:$JOTM_JAR
JOTM_CLASSPATH=$JOTM_CLASSPATH:$JOTM_STUBS
JOTM_CLASSPATH=$JOTM_CLASSPATH:$JOTM_DIST_LIB/carol.jar
JOTM_CLASSPATH=$JOTM_CLASSPATH:$JOTM_DIST_LIB/jonas_timer.jar
#JOTM_CLASSPATH=$JOTM_CLASSPATH:$JOTM_DIST_LIB/jts1_0.jar
JOTM_CLASSPATH=$JOTM_CLASSPATH:$JOTM_DIST_LIB/commons-cli.jar
#JOTM_CLASSPATH=$JOTM_CLASSPATH:$JOTM_DIST_LIB/jonathan.jar
JOTM_CLASSPATH=$JOTM_CLASSPATH:$JOTM_DIST_LIB/jta-spec1_0_1.jar
#JOTM_CLASSPATH=$JOTM_CLASSPATH:$JOTM_DIST_LIB/kilim.jar

while [ "$#" -gt 0 ]
do	case "$1" in
	start)
		MODE=start
		;;
	rmiregistry)
		MODE=rmiregistry
		;;
	*)
		# all other args are passed "as is" to the java program
		ARGS="$ARGS $1"
		;;
	esac
	shift
done

case "$MODE" in
start)

java -Djavax.rmi.CORBA.PortableRemoteObjectClass=org.objectweb.carol.rmi.multi.MultiPRODelegate -Djava.naming.factory.initial=org.objectweb.carol.jndi.spi.MultiOrbInitialContextFactory -Djava.security.policy=$JOTM_DIST_CONFIG/java.policy -classpath $JOTM_CLASSPATH org.objectweb.jonas_tm.Main $ARGS
	;;

rmiregistry)
rmiregistry -J-classpath -J$JOTM_CLASSPATH -J-Djava.security.policy=$JOTM_DIST_CONFIG/java.policy $ARGS
        ;;


esac

